PCF(4)

NAME
pcf - Philips I2C bus controller

SYNOPSIS
device pcf

In /boot/device.hints:
hint.pcf.0.at="isa"
hint.pcf.0.port="0x320"
hint.pcf.0.irq="5"

For one or more iicbus busses:
device iicbus

DESCRIPTION
The pcf driver provides support to the Philips PCF8584 I2C controller for the iicbus(4) system.

The PCF8584 is an integrated circuit designed in CMOS technology which serves as an interface between most standard parallel-bus microcontrollers/microprocessors and the serial I2C-bus. The PCF8584 provides both master and slave functions. Communication with I2C-bus is carried out on a byte-wise basis using interrupt or polled handshake. It controls all the I2C-bus specific sequences, protocol, arbitration and timing. The PCF8584 allows parallel-bus systems to communicate bidirectionally with the I2C-bus.

SEE ALSO
iicbus(4)

HISTORY
The pcf manual page first appeared in FreeBSD 3.0.

AUTHORS
This manual page was written by Nicolas Souchu.